Index: reactapp/src/Components/OpinionTree.js
===================================================================
--- reactapp/src/Components/OpinionTree.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Components/OpinionTree.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -46,5 +46,5 @@
 
   useEffect(() => {
-    const url = `http://192.168.1.254:8080/secure/currentUser`;
+    const url = `http://192.168.1.108:8080/secure/currentUser`;
 
     const fetchUser = async () => {
@@ -72,5 +72,5 @@
       ) {
         const response = await axios(
-          `http://192.168.1.254:8080/secure/upvoteOpinion/${post.postId}`,
+          `http://192.168.1.108:8080/secure/upvoteOpinion/${post.postId}`,
           {
             method: "get",
@@ -95,5 +95,5 @@
       ) {
         const response = await axios(
-          `http://192.168.1.254:8080/secure/downvoteOpinion/${post.postId}`,
+          `http://192.168.1.108:8080/secure/downvoteOpinion/${post.postId}`,
           {
             method: "get",
@@ -150,5 +150,5 @@
     if (!replyContent.length < 1) {
       const response = await axios(
-        `http://192.168.1.254:8080/secure/professor/${professor.professorId}/replyToOpinion/${postId}`,
+        `http://192.168.1.108:8080/secure/professor/${professor.professorId}/replyToOpinion/${postId}`,
         {
           method: "post",
@@ -171,5 +171,5 @@
     if (!reportContent.length < 1) {
       const response = await axios(
-          `http://192.168.1.254:8080/secure/reportOpinion/${postId}`,
+          `http://192.168.1.108:8080/secure/reportOpinion/${postId}`,
           {
             method: "post",
Index: reactapp/src/Components/Search.js
===================================================================
--- reactapp/src/Components/Search.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Components/Search.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -18,6 +18,6 @@
     const fetchData = async () => {
       try {
-        Promise.all([fetch(`http://192.168.1.254:8080/public/professors/nameContains/${transliterate(query)}`),
-          fetch(`http://192.168.1.254:8080/public/subjects/nameContains/${transliterate(query)}`)])
+        Promise.all([fetch(`http://192.168.1.108:8080/public/professors/nameContains/${transliterate(query)}`),
+          fetch(`http://192.168.1.108:8080/public/subjects/nameContains/${transliterate(query)}`)])
             .then(([resProfessors, resSubjects]) => Promise.all([resProfessors.json(), resSubjects.json()]))
             .then(([dataProfessors, dataSubjects]) => {
Index: reactapp/src/Components/Styled/Search.style.js
===================================================================
--- reactapp/src/Components/Styled/Search.style.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Components/Styled/Search.style.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -3,5 +3,5 @@
 
 export const SearchBox = styled.input`
-  width: 450px;
+  width: 350px;
   box-sizing: border-box;
   border: 2px solid #ccc;
@@ -23,5 +23,5 @@
   padding: 12px 16px;
   z-index: 1;
-  width: 450px;
+  width: 350px;
   padding: 0;
 `;
Index: reactapp/src/Components/SubjectsAccordion.js
===================================================================
--- reactapp/src/Components/SubjectsAccordion.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Components/SubjectsAccordion.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -23,6 +23,6 @@
       setOpacity(1);
       try {
-        Promise.all([fetch(`http://192.168.1.254:8080/public/subjects?studyProgrammeId=${props.title.studyProgrammeId}`),
-          fetch(`http://192.168.1.254:8080/public/study_programme/${props.title.studyProgrammeId}/threadCountForEachSubject`)])
+        Promise.all([fetch(`http://192.168.1.108:8080/public/subjects?studyProgrammeId=${props.title.studyProgrammeId}`),
+          fetch(`http://192.168.1.108:8080/public/study_programme/${props.title.studyProgrammeId}/threadCountForEachSubject`)])
             .then(([resSubjects, counts]) => Promise.all([resSubjects.json(), counts.json()]))
             .then(([dataSubjects, dataCounts]) => {
Index: reactapp/src/Components/UserHeader.js
===================================================================
--- reactapp/src/Components/UserHeader.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Components/UserHeader.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -11,5 +11,5 @@
 
   useEffect(() => {
-    const url = `http://192.168.1.254:8080/secure/currentUser`;
+    const url = `http://192.168.1.108:8080/secure/currentUser`;
 
     const fetchUser = async () => {
Index: reactapp/src/Pages/Faculty.js
===================================================================
--- reactapp/src/Pages/Faculty.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Pages/Faculty.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -34,5 +34,5 @@
     const fetchProfessors = async () => {
       try {
-        const response = await fetch(`http://192.168.1.254:8080/public/professors?facultyId=${params.facultyId}`);
+        const response = await fetch(`http://192.168.1.108:8080/public/professors?facultyId=${params.facultyId}`);
         let cyclicGraph = await response.json();
         let jsogStructure = JSOG.encode(cyclicGraph);
@@ -47,5 +47,5 @@
     const fetchStudyProgrammes = async () => {
       try {
-        const response2 = await fetch(`http://192.168.1.254:8080/public/study_programmes?facultyId=${params.facultyId}`);
+        const response2 = await fetch(`http://192.168.1.108:8080/public/study_programmes?facultyId=${params.facultyId}`);
         let cyclicGraph2 = await response2.json();
         let jsogStructure2 = JSOG.encode(cyclicGraph2);
@@ -60,5 +60,5 @@
     const fetchProfessorOpinionCount = async () => {
       try {
-        const response3 = await fetch(`http://192.168.1.254:8080/public/faculty/${params.facultyId}/opinionCountForEachProfessor`);
+        const response3 = await fetch(`http://192.168.1.108:8080/public/faculty/${params.facultyId}/opinionCountForEachProfessor`);
         let cyclicGraph3 = await response3.json();
         let jsogStructure3 = JSOG.encode(cyclicGraph3);
Index: reactapp/src/Pages/Home.js
===================================================================
--- reactapp/src/Pages/Home.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Pages/Home.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -14,6 +14,6 @@
 
     useEffect(() => {
-        Promise.all([fetch(`http://192.168.1.254:8080/public/latest10opinions`),
-            fetch(`http://192.168.1.254:8080/public/latest10threads`)])
+        Promise.all([fetch(`http://192.168.1.108:8080/public/latest10opinions`),
+            fetch(`http://192.168.1.108:8080/public/latest10threads`)])
             .then(([resOpinions, resThreads]) => Promise.all([resOpinions.json(), resThreads.json()]))
             .then(([dataOpinions, dataThreads]) => {
Index: reactapp/src/Pages/Professor.js
===================================================================
--- reactapp/src/Pages/Professor.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Pages/Professor.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -42,6 +42,6 @@
 
   useEffect(() => {
-     Promise.all([fetch(`http://192.168.1.254:8080/public/professor/${params.professorId}`),
-     fetch(`http://192.168.1.254:8080/public/professor/${params.professorId}/relatedOpinions`)])
+     Promise.all([fetch(`http://192.168.1.108:8080/public/professor/${params.professorId}`),
+     fetch(`http://192.168.1.108:8080/public/professor/${params.professorId}/relatedOpinions`)])
         .then(([resProfessor, resRelatedOpinions]) => Promise.all([resProfessor.json(), resRelatedOpinions.json()]))
         .then(([dataProfessor, dataRelatedOpinions]) => {
@@ -80,5 +80,5 @@
     if (!postContent.length < 1) {
       const response = await axios(
-        `http://192.168.1.254:8080/secure/professor/${params.professorId}/addOpinion`,
+        `http://192.168.1.108:8080/secure/professor/${params.professorId}/addOpinion`,
         {
           method: "post",
Index: reactapp/src/Pages/PublicUserProfile.js
===================================================================
--- reactapp/src/Pages/PublicUserProfile.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Pages/PublicUserProfile.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -13,5 +13,5 @@
     useEffect(() => {
             const fetchPublicProfile = async () => {
-                const resp = await fetch(`http://192.168.1.254:8080/public/user/${params.userId}`)
+                const resp = await fetch(`http://192.168.1.108:8080/public/user/${params.userId}`)
                 let cyclicGraph = await resp.json();
                 let jsogStructure = JSOG.encode(cyclicGraph);
Index: reactapp/src/Pages/Subject.js
===================================================================
--- reactapp/src/Pages/Subject.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Pages/Subject.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -50,6 +50,6 @@
 
   useEffect(() => {
-    Promise.all([fetch(`http://192.168.1.254:8080/public/subject/${params.subjectId}`),
-                        fetch(`http://192.168.1.254:8080/public/subject/${params.subjectId}/threads`)])
+    Promise.all([fetch(`http://192.168.1.108:8080/public/subject/${params.subjectId}`),
+                        fetch(`http://192.168.1.108:8080/public/subject/${params.subjectId}/threads`)])
         .then(([resSubject, resThreads]) => Promise.all([resSubject.json(), resThreads.json()]))
         .then(([dataSubject, dataThreads]) => {
@@ -88,5 +88,5 @@
     if (!topicTitle.length < 1 && !topicContent.length < 1) {
       const response = await axios(
-        `http://192.168.1.254:8080/secure/subject/${params.subjectId}/addThread`,
+        `http://192.168.1.108:8080/secure/subject/${params.subjectId}/addThread`,
         {
           method: "post",
@@ -214,5 +214,5 @@
             <EntityUl key={topic.postId}>
               <EntityLi bgcolor="cornsilk">
-                <a href={"/topic/" + topic.postId}>{topic.title.length >= 99 ? topic.title.slice(0,98) + "..." : topic.title}</a>
+                <a href={"/topic/" + topic.postId}>{topic.title.length >= 65 ? topic.title.slice(0,65) + "..." : topic.title}</a>
                 <EntityParam right="30px">
                   <span style={{ fontWeight: "normal" }}>
Index: reactapp/src/Pages/Topic.js
===================================================================
--- reactapp/src/Pages/Topic.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Pages/Topic.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -55,6 +55,6 @@
 
   useEffect(() => {
-    const url1 = `http://192.168.1.254:8080/public/thread/${params.topicId}`;
-    const url2 = `http://192.168.1.254:8080/secure/currentUser`;
+    const url1 = `http://192.168.1.108:8080/public/thread/${params.topicId}`;
+    const url2 = `http://192.168.1.108:8080/secure/currentUser`;
 
     const fetchTopic = async () => {
@@ -121,5 +121,5 @@
     if (!replyContent.length < 1) {
       const response = await axios(
-        `http://192.168.1.254:8080/secure/subject/${thread.targetSubject.subjectId}/replyToThread/${postId}`,
+        `http://192.168.1.108:8080/secure/subject/${thread.targetSubject.subjectId}/replyToThread/${postId}`,
         {
           method: "post",
@@ -142,5 +142,5 @@
     if (!reportContent.length < 1) {
       const response = await axios(
-          `http://192.168.1.254:8080/secure/reportThread/${postId}`,
+          `http://192.168.1.108:8080/secure/reportThread/${postId}`,
           {
             method: "post",
@@ -171,5 +171,5 @@
     if (!postContent.length < 1) {
       const response = await axios(
-        `http://192.168.1.254:8080/secure/subject/${thread.targetSubject.subjectId}/replyToThread/${params.topicId}`,
+        `http://192.168.1.108:8080/secure/subject/${thread.targetSubject.subjectId}/replyToThread/${params.topicId}`,
         {
           method: "post",
@@ -204,5 +204,5 @@
       ) {
         const response = await axios(
-          `http://192.168.1.254:8080/secure/upvoteThread/${post.postId}`,
+          `http://192.168.1.108:8080/secure/upvoteThread/${post.postId}`,
           {
             method: "get",
@@ -227,5 +227,5 @@
       ) {
         const response = await axios(
-          `http://192.168.1.254:8080/secure/downvoteThread/${post.postId}`,
+          `http://192.168.1.108:8080/secure/downvoteThread/${post.postId}`,
           {
             method: "get",
Index: reactapp/src/Pages/University.js
===================================================================
--- reactapp/src/Pages/University.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Pages/University.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -28,6 +28,6 @@
 
   useEffect(() => {
-        Promise.all([fetch(`http://192.168.1.254:8080/public/faculties?universityId=${params.universityId}`),
-        fetch(`http://192.168.1.254:8080/public/university/${params.universityId}/sectionAndPostCount`)])
+        Promise.all([fetch(`http://192.168.1.108:8080/public/faculties?universityId=${params.universityId}`),
+        fetch(`http://192.168.1.108:8080/public/university/${params.universityId}/sectionAndPostCount`)])
             .then(([resFaculties, counts]) => Promise.all([resFaculties.json(), counts.json()]))
             .then(([dataFaculties, dataCounts]) => {
Index: reactapp/src/Pages/UserDashboard.js
===================================================================
--- reactapp/src/Pages/UserDashboard.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/Pages/UserDashboard.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -95,6 +95,6 @@
     if (newOpinionTargetProfessorId!=="") {
         try {
-          Promise.all([fetch(`http://192.168.1.254:8080/public/professor/${newOpinionTargetProfessorId}`),
-            fetch(`http://192.168.1.254:8080/public/professor/${newOpinionTargetProfessorId}/relatedOpinions`)])
+          Promise.all([fetch(`http://192.168.1.108:8080/public/professor/${newOpinionTargetProfessorId}`),
+            fetch(`http://192.168.1.108:8080/public/professor/${newOpinionTargetProfessorId}/relatedOpinions`)])
               .then(([resNewOpinionTargetProfessor, resNewProfessorRelatedOpinions]) => Promise.all([resNewOpinionTargetProfessor.json(), resNewProfessorRelatedOpinions.json()]))
               .then(([dataNewOpinionTargetProfessor, dataNewProfessorRelatedOpinions]) => {
@@ -130,6 +130,6 @@
     if (newTargetSubjectId!=="") {
       try {
-        Promise.all([fetch(`http://192.168.1.254:8080/public/subject/${newTargetSubjectId}`),
-        fetch(`http://192.168.1.254:8080/public/subject/${newTargetSubjectId}/threads`)])
+        Promise.all([fetch(`http://192.168.1.108:8080/public/subject/${newTargetSubjectId}`),
+        fetch(`http://192.168.1.108:8080/public/subject/${newTargetSubjectId}/threads`)])
             .then(([resNewTargetSubject, resNewTargetSubjectThreads]) => Promise.all([resNewTargetSubject.json(), resNewTargetSubjectThreads.json()]))
             .then(([dataNewTargetSubject, dataNewTargetSubjectThreads]) => {
@@ -158,6 +158,6 @@
       try {
         if(!loadedUser) {
-          Promise.all([axios.get(`http://192.168.1.254:8080/secure/currentUser`, {withCredentials:true}),
-            axios.get(`http://192.168.1.254:8080/secure/currentUser/posts`, {withCredentials:true})])
+          Promise.all([axios.get(`http://192.168.1.108:8080/secure/currentUser`, {withCredentials:true}),
+            axios.get(`http://192.168.1.108:8080/secure/currentUser/posts`, {withCredentials:true})])
               .then(([resUser, resAuthoredPosts]) => Promise.all([resUser.data, resAuthoredPosts.data]))
               .then(([dataUser, dataAuthoredPosts]) => {
@@ -183,5 +183,5 @@
     const fetchPostReports = async () => {
       try {
-        const response = await axios.get(`http://192.168.1.254:8080/secure/getAllPostReports`, {withCredentials: true});
+        const response = await axios.get(`http://192.168.1.108:8080/secure/getAllPostReports`, {withCredentials: true});
         var cyclicGraph = await response.data;
         var jsogStructure = JSOG.encode(cyclicGraph);
@@ -202,5 +202,5 @@
     try {
       if(reportForModal.post !== null && reportForModal.post.targetProfessor !== undefined) {
-        await axios(`http://192.168.1.254:8080/secure/updateOpinion/${reportForModal.post.postId}`,
+        await axios(`http://192.168.1.108:8080/secure/updateOpinion/${reportForModal.post.postId}`,
             {
               method: "put",
@@ -212,10 +212,10 @@
               withCredentials: true,
             })
-        await axios(`http://192.168.1.254:8080/secure/markReportResolved/${reportForModal.postReportId}/${markResolved ? `resolve` : `open`}`,{
+        await axios(`http://192.168.1.108:8080/secure/markReportResolved/${reportForModal.postReportId}/${markResolved ? `resolve` : `open`}`,{
           method: "get",
           withCredentials: true
         })
       } else if(reportForModal.post !== null && reportForModal.post.targetProfessor === undefined) {
-        await axios(`http://192.168.1.254:8080/secure/updateThread/${reportForModal.post.postId}`,
+        await axios(`http://192.168.1.108:8080/secure/updateThread/${reportForModal.post.postId}`,
             {
               method: "put",
@@ -229,5 +229,5 @@
             })
       }
-      await axios(`http://192.168.1.254:8080/secure/markReportResolved/${reportForModal.postReportId}/${markResolved ? `resolve` : `open`}`,{
+      await axios(`http://192.168.1.108:8080/secure/markReportResolved/${reportForModal.postReportId}/${markResolved ? `resolve` : `open`}`,{
           method: "get",
           withCredentials: true
@@ -243,5 +243,5 @@
     try {
       if(reportForModal.post !== null && reportForModal.post.targetProfessor !== undefined) {
-        var response = await axios(`http://192.168.1.254:8080/secure/updateOpinion/${reportForModal.post.postId}`,
+        var response = await axios(`http://192.168.1.108:8080/secure/updateOpinion/${reportForModal.post.postId}`,
             {
               method: "put",
@@ -253,10 +253,10 @@
               withCredentials: true,
             })
-        await axios(`http://192.168.1.254:8080/secure/markReportResolved/${reportForModal.postReportId}/${markResolved ? `resolve` : `open`}`,{
+        await axios(`http://192.168.1.108:8080/secure/markReportResolved/${reportForModal.postReportId}/${markResolved ? `resolve` : `open`}`,{
           method: "get",
           withCredentials: true
         })
       } else if(reportForModal.post !== null && reportForModal.post.targetProfessor === undefined) {
-        var response = await axios(`http://192.168.1.254:8080/secure/updateThread/${reportForModal.post.postId}`,
+        var response = await axios(`http://192.168.1.108:8080/secure/updateThread/${reportForModal.post.postId}`,
             {
               method: "put",
@@ -270,5 +270,5 @@
             })
       }
-      await axios(`http://192.168.1.254:8080/secure/markReportResolved/${reportForModal.postReportId}/${markResolved ? `resolve` : `open`}`,{
+      await axios(`http://192.168.1.108:8080/secure/markReportResolved/${reportForModal.postReportId}/${markResolved ? `resolve` : `open`}`,{
         method: "get",
         withCredentials: true
@@ -285,5 +285,5 @@
     try {
       if(reportForModal.post !== null && reportForModal.post.targetProfessor !== undefined) {
-        await axios(`http://192.168.1.254:8080/secure/deleteOpinion/${reportForModal.post.postId}`,
+        await axios(`http://192.168.1.108:8080/secure/deleteOpinion/${reportForModal.post.postId}`,
             {
               method: "delete",
@@ -292,5 +292,5 @@
         window.location.reload();
       } else if(reportForModal.post !== null && reportForModal.post.targetProfessor === undefined) {
-        await axios(`http://192.168.1.254:8080/secure/deleteThread/${reportForModal.post.postId}`,
+        await axios(`http://192.168.1.108:8080/secure/deleteThread/${reportForModal.post.postId}`,
             {
               method: "delete",
Index: reactapp/src/api/axios.js
===================================================================
--- reactapp/src/api/axios.js	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ reactapp/src/api/axios.js	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -2,4 +2,4 @@
 
 export default axios.create({
-  baseURL: "http://192.168.1.254:8080",
+  baseURL: "http://192.168.1.108:8080",
 });
